<?php

/**
 * Form builder; Surveypal form.
 *
 * @see system_settings_form()
 * @ingroup forms
 */
function surveypal_settings() {
  $form = array();
  // Surveypal API token.
  $form['surveypal_api_token'] = array(
    '#type'          => 'textfield',
    '#title'         => t('Surveypal API token'),
    '#description'   => t(
      'Surveypal API token can be generated by logging into Surveypal service'
    ),
    '#default_value' => variable_get('surveypal_api_token', ''),
  );
  // Attach form validator.
  $form['#validate'][] = 'surveypal_settings_validate';
  return system_settings_form($form);
}

/**
 * Form validator for surveypal_settings().
 */
function surveypal_settings_validate($form, &$form_state) {
  if (strlen($form_state['values']['surveypal_api_token']) != 64) {
    form_set_error(
      'surveypal_api_token',
      t('Surveypal API token must be 64 characters long.')
    );
  }
}
